package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.UserAgreement;


/**
*  service接口类
*/
public interface UserAgreementService{

    List<UserAgreement> getUserAgreementList(UserAgreement record);

    List<UserAgreement> getUserAgreementByPage(Page page, UserAgreement record);

    UserAgreement getUserAgreementById(String id);

    UserAgreement getUserAgreement(UserAgreement record);

    boolean createUserAgreement(UserAgreement record);

    boolean deleteUserAgreement(UserAgreement record);

    boolean updateUserAgreement(UserAgreement record);
}

